// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({
  /**
   * 页面的初始数据
   */
  data: {
    showModal: false,
    // 主体高度
    infoHeight: '',
    frameStyle: { useTop: true, name: '比赛信息', leftArrow: true, useBar: false },
    form: {},
    id: ''
  },
  back: function () {
    wx.navigateBack({ url: '/pages/me/index' })
  },
  //显示对话框
  clickme: function () {
    this.setData({
      showModal: true
    })
  },
  preventTouchMove: function () {
  },
  //关闭弹窗
  go: function () {
    this.setData({
      showModal: false
    })
  },
  //提交
  formSubmit: function (e) {
    let value = e.detail.value;
    let id = this.data.id;
    wx.request({
      url: `${app.globalData.publicUrl}/courtAdmin/api/schedule/${id}`,
      method: "post",
      data: value,
      header: {},
      success: res => {
        wx.showToast({
          title: '上传比分成功',
          icon: 'success',
          duration: 2000
        })
        this.setData({ showModal: false })
      },
      error: err => {
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({ id: options.id })
    // 计算高度
    this.searchHeight()
    // 监听用户是否登录
    this.watchLogin();
  },
  // 监听用户是否登录
  watchLogin: function () {
    const that = this;
    let id = that.data.id;
    wx.getStorage({
      key: 'token',
      success: res => {
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/schedule/${id}`,
          method: "get",
          data: {},
          header: {},
          success: res => {
            console.log(res.data.data);
            that.setData({ match: res.data.data })
          },
          error: err => {
          }
        })
      },
      fail: res => {
        wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 是否去掉状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})